Activity log for bug #1005423

Date Who What changed Old value New value Message
2012-05-28 07:39:05 Rohit Karajgi bug added bug
2012-05-28 13:13:35 Rohit Karajgi description Our tempest test that validates a return error code when an invalid key-value pair for metadata is passed during Create Image fails. Steps to reproduce: 1. Create a server 2. Create an image of the above server and pass invalid metadata key value pair, for ex: meta = {'': ''} Expected Return Code: 400 BadRequest Actual Return Code: 404 Not Found Besides, the Snapshot Image is created but the operation stays in Queued state. Return an error when creating image with invalid metadata ... FAIL ====================================================================== FAIL: Return an error when creating image with invalid metadata ---------------------------------------------------------------------- Traceback (most recent call last): File "/opt/stack/tempest/tests/test_images.py", line 276, in test_create_image_specify_invalid_metadata self.fail("Should raise 400 Bad Request if meta data is invalid") AssertionError: Should raise 400 Bad Request if meta data is invalid -------------------- >> begin captured logging << -------------------- tempest.config: INFO: Using tempest config file /opt/stack/tempest/etc/tempest.conf tempest.common.rest_client: ERROR: Request URL: http://10.2.3.164:8774/v2/e5eb2e14ed8a409d9b36db3fddb5a757/images/9ea13f87-88ff-420c-8822-4d7ee7352d51 tempest.common.rest_client: ERROR: Request Body: None tempest.common.rest_client: ERROR: Response Headers: {'date': 'Mon, 28 May 2012 07:21:44 GMT', 'status': '404', 'content-length': '62', 'content-type': 'application/json; charset=UTF-8', 'x-compute-request-id': 'req-921eda64-cfe2-43ff-a892-8fac1e9f9d67'} tempest.common.rest_client: ERROR: Response Body: {"itemNotFound": {"message": "Image not found.", "code": 404}} --------------------- >> end captured logging << --------------------- ---------------------------------------------------------------------- Ran 1 test in 31.507s FAILED (failures=1) Our tempest test that validates a return error code when an invalid key-value pair for metadata is passed during Create Image fails for the following scenarios. 1. Blank key-value metadata Steps to reproduce: 1. Create a server 2. Create an image of the above server and pass invalid metadata key value pair, for ex: meta = {'': ''} Expected Return Code: 400 BadRequest Actual Return Code: 404 Not Found Besides, in this case the snapshot image is created but the operation stays in Queued state. 2. Metadata that exceeds length limit Steps to reproduce: 1. Create a server 2. Create an image of the above server and pass invalid metadata key value pair, for ex: meta = {'a' * 260: 'b' * 260} Expected Return Code: 413 OverLimit Actual Return Code: 404 Not Found Return an error when creating image with invalid metadata ... FAIL ====================================================================== FAIL: Return an error when creating image with invalid metadata ---------------------------------------------------------------------- Traceback (most recent call last):   File "/opt/stack/tempest/tests/test_images.py", line 276, in test_create_image_specify_invalid_metadata     self.fail("Should raise 400 Bad Request if meta data is invalid") AssertionError: Should raise 400 Bad Request if meta data is invalid -------------------- >> begin captured logging << -------------------- tempest.config: INFO: Using tempest config file /opt/stack/tempest/etc/tempest.conf tempest.common.rest_client: ERROR: Request URL: http://10.2.3.164:8774/v2/e5eb2e14ed8a409d9b36db3fddb5a757/images/9ea13f87-88ff-420c-8822-4d7ee7352d51 tempest.common.rest_client: ERROR: Request Body: None tempest.common.rest_client: ERROR: Response Headers: {'date': 'Mon, 28 May 2012 07:21:44 GMT', 'status': '404', 'content-length': '62', 'content-type': 'application/json; charset=UTF-8', 'x-compute-request-id': 'req-921eda64-cfe2-43ff-a892-8fac1e9f9d67'} tempest.common.rest_client: ERROR: Response Body: {"itemNotFound": {"message": "Image not found.", "code": 404}} --------------------- >> end captured logging << --------------------- ---------------------------------------------------------------------- Return an error when creating image with meta data over 256 chars ... FAIL ====================================================================== FAIL: Return an error when creating image with meta data over 256 chars ---------------------------------------------------------------------- Traceback (most recent call last): File "/opt/stack/tempest/tests/test_images.py", line 293, in test_create_image_specify_metadata_over_limits self.fail("Should raise 413 Over Limit if meta data was too long") AssertionError: Should raise 413 Over Limit if meta data was too long -------------------- >> begin captured logging << -------------------- tempest.config: INFO: Using tempest config file /opt/stack/tempest/etc/tempest.conf tempest.common.rest_client: ERROR: Request URL: http://10.2.3.164:8774/v2/e5eb2e14ed8a409d9b36db3fddb5a757/images/9ea13f87-88ff-420c-8822-4d7ee7352d51 tempest.common.rest_client: ERROR: Request Body: None tempest.common.rest_client: ERROR: Response Headers: {'date': 'Mon, 28 May 2012 13:11:13 GMT', 'status': '404', 'content-length': '62', 'content-type': 'application/json; charset=UTF-8', 'x-compute-request-id': 'req-4d383155-65f3-4eb3-8196-4adb91674853'} tempest.common.rest_client: ERROR: Response Body: {"itemNotFound": {"message": "Image not found.", "code": 404}} --------------------- >> end captured logging << --------------------- ---------------------------------------------------------------------- Ran 2 test in 51.507s FAILED (failures=2)
2012-06-07 15:34:25 Brian Waldon nova: status New Triaged
2012-06-07 15:34:30 Brian Waldon nova: importance Undecided Low
2013-02-20 02:21:43 Davanum Srinivas (DIMS) tags ntt ntt tempest
2013-04-25 10:21:50 Prem Karat nova: assignee Prem Karat (prem-karat)
2013-04-25 11:09:03 Prem Karat nova: status Triaged Fix Committed
2013-04-29 08:05:31 Thierry Carrez affects nova tempest
2013-06-03 15:31:12 Sean Dague tempest: status Fix Committed Fix Released
2013-06-03 15:31:12 Sean Dague tempest: milestone havana-1